Bug Hunting Session
Bug 46111 - install incorrectly claims LibreOffice/Quickstarter is running and aborts
Summary: install incorrectly claims LibreOffice/Quickstarter is running and aborts
Status: RESOLVED DUPLICATE of bug 36677
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Installation (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: x86-64 (AMD64) Windows (All)
: high blocker
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-15 07:21 UTC by Garret Wilson
Modified: 2012-07-11 04:58 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Garret Wilson 2012-02-15 07:21:55 UTC
I have LibreOffice 3.3.2 (OOO330m19 (Build:202)) installed on Windows 7 Professional 64-bit. I'm trying to upgrade to LibreOffice 3.5. The installation stops and presents a dialog:

"Please exit LibreOffice 3.3 and the LibreOffice 3.3 Quickstarter before you continue. If you are using a multi-user system, also make sure that no other user has LibreOffice 3.3 open."

I have not started LibreOffice since booting this system. I always turn off Quickstarter during installation. There are no other users. I have verified in Process Explorer that there are no instances of LibreOffice or the quickstarter running.

So I'm stuck; a hard fail. Can't go further. Can't even install, as it rolls back all changes.
Comment 1 vitriol 2012-02-15 07:27:03 UTC

*** This bug has been marked as a duplicate of bug 36677 ***
Comment 2 Garret Wilson 2012-02-15 07:30:36 UTC
How is this a duplicate of bug 36677, when that bug says that this was resolved in 3.5.0, but I'm having this problem in 3.5.0? Either it's a different bug, or it's not resolved! Should someone go reopen bug 36677, then?

See also https://issues.apache.org/ooo/show_bug.cgi?id=104421
Comment 3 Ernst Sjöstrand 2012-02-21 11:01:42 UTC
I have the same problem when trying to install 3.5 on Windows 7 64-bit.
Comment 4 Nic Cooper 2012-07-11 03:42:50 UTC
I have the same problem installing on Windows 7 32-bit, with no previous version of Libre Office ever existing.  I think that it's a windows security issue because I had EXACTLY the same problem installing Apache Open Office a few hours earlier.  This was resolved by using "run as  administrator" from the context menu.  The Open Office install is a .exe;  Libre Office is a .msi.  I don't know how to run an msi as administrator (it's not in the context menu) so am currently at a standstill with Libre Office.  Is there a way around this?  I'm not a microsoft geek and have no desire to be.
Comment 5 Nic Cooper 2012-07-11 04:58:06 UTC
I followed up the run msi as administrator thing with no joy.  However I did find that the Apache Open Office 3.4.0, that I had installed yesterday, had some processes running.  I killed these processes and then Libre installed without problems, without needing to run the msi as administrator.   It looks like Open Office quick starter is causing problems with Libre installation.